//
////////////////////////////////////////////////////////////////////////////////
//
//  THIS CODE IS NOT APPROVED FOR USE IN/ON ANY OTHER UI ELEMENT OR PRODUCT COMPONENT.  
//  Copyright (c) 2007 Microsoft Corporation.  All rights reserved.
//
////////////////////////////////////////////////////////////////////////////////
var g_siteUrl = "http://www.microsoft.com/france/entrepreneur";
var g_signinUrl = "https://www.microsoft.com/france/entrepreneur/plus/pre.aspx";
var g_feedPath = 'http://www.microsoft.com/france/entrepreneur/rss/rssfeed.aspx?full';
var g_feed = "<dummy/>";
var g_xmlDoc = null ;
var g_itemCount = 0;
var g_topPosition = 1;
var g_maxView = 5;
var g_itemLenght = 13;
var g_paggingDelay = 3000;
var g_timer = null;

function rssPage_load()
{
	System.Gadget.settingsUI = "Settings.htm";
	System.Gadget.onSettingsClosed = rssPage_onSettingsClosed;
	System.Gadget.onUndock = rssPage_onUndock;
    System.Gadget.onDock = rssPage_onDock;

        
    rssContent.innerHTML = XmlTransform2("<dummy/>", 'templates/wait.xslt');
    g_xmlDoc = null;
    beginOpenXMLHTTP(rssPage_onReadyStatsChanged, g_feedPath, "g_xmlDoc");
}

function rssPage_onUndock()
{
    document.body.style.width = "296px";
    g_itemLenght = 40;
    showFeed(g_topPosition, g_maxView);
}

function rssPage_onDock()
{
    document.body.style.width = "130px";
    g_itemLenght = 13;
    showFeed(g_topPosition, g_maxView);
}

function rssPage_onSettingsClosed() 
{
		showFeed(g_topPosition, g_maxView);
}
        
function rssPage_onReadyStatsChanged() 
{            
    if ( g_xmlDoc.readyState != 4 ) 
        return ;
    
    g_feed = g_xmlDoc.responseText ;
    
    setItemCount(g_xmlDoc.responseXML);
    showFeed(g_topPosition, g_maxView);
    startSlideShow();
}

function rssPage_OnTimeOut() 
{
    if (g_topPosition <= g_itemCount - g_maxView)
        g_topPosition += g_maxView;
    else
        g_topPosition = 1;
    
    showFeed(g_topPosition, g_maxView);
    startSlideShow();
}

function get_Template()
{
	var template = System.Gadget.Settings.read("template");
	if (template == "")
		template = "items.xslt";
		
	return template;
}

function startSlideShow()
{
    if (g_timer != null)
        clearTimeout(g_timer); 
        
    g_timer = setTimeout("rssPage_OnTimeOut()", g_paggingDelay);
}

function stopSlideShow()
{
    if (g_timer != null)
        clearTimeout(g_timer); 
}

function setItemCount(xmlDoc)
{
    var root = xmlDoc.documentElement;
    var pages = root.childNodes.item(0);
    
    var node = pages.firstChild;
	var count = 0;
	while (node != null)
	{
	    var nodeName = node.nodeName;
		if (nodeName >= "item" && nodeName <= "item")		
		    count++;
			    
		node = node.nextSibling;
	}
	
	g_itemCount = count;
}

function showFeed(topPosition, maxView)
{	
    var rss = XmlTransform2(g_feed, 'templates/'+get_Template(), 
        'topPosition', topPosition, 
        'maxView', maxView, 
        'itemCount', g_itemCount,
        'itemLenght', g_itemLenght);
    rssContent.innerHTML = rss;   
}
