////////////////////////////////////////////////////////////////////////////////
//
//  THIS CODE IS NOT APPROVED FOR USE IN/ON ANY OTHER UI ELEMENT OR PRODUCT COMPONENT.  
//  Copyright (c) 2007 Microsoft Corporation.  All rights reserved.
//
////////////////////////////////////////////////////////////////////////////////

//
// Pour savoir dans quel type de navigateur sont affichs les pages
//
var gecko = (document.implementation && document.implementation.createDocument) ? true:false;
var ie = (window.ActiveXObject && document.all) ? true:false;
var ownerEmail = "nospam@nospam.com";

//
// Rcupration du message d'erreur
//
function getErrorMessage(e, color)
{
    if (color == null)
        color = 'red';

	return '<br/>'+
	        '<font style=\'font-size:8pt;color:'+color+'\'>'+
	        'une erreur s\'est produite : <br/>'+
			'name : ' + e.name + '<br/>'+
			'description : ' + e.description + '<br/>'+
			'message : ' + e.message + '<br/>'+
			'raw : ' + e.toString()+'<br/>'+
			'</font>'+
			'<br/>';
}

//
// Envoie d'un mail
//
var channel_title = "Microsoft pour l'entrepreneur";
var channel_url = "http://www.microsoft.com/france/entrepreneur";
function OnEMail()
{ 
    window.location = "mailto:?subject="+channel_title+"&body="+channel_url;
    return false; 
}

function OnSave()
{
    if (gecko)
    {
        window.sidebar.addPanel(channel_title, channel_url,"");
    }
    else if (ie)
    {
        window.external.AddFavorite(channel_url, channel_title);
    }
    return false;
}

//
// rcuprer le contenu d'un fichier xml de faon asynchrone
//
function beginOpenXMLHTTP(OnReadyStateChange_Delegate, path, varName_xmlDoc) 
{
    if (typeof window.ActiveXObject != 'undefined' ) 
    {
        eval(varName_xmlDoc + " = new ActiveXObject('Microsoft.XMLHTTP');");
        eval(varName_xmlDoc + ".onreadystatechange = OnReadyStateChange_Delegate;");
    }
    else 
    {
        eval(varName_xmlDoc + " = new XMLHttpRequest();");
        eval(varName_xmlDoc + ".onload = OnReadyStateChange_Delegate;");
    }
    eval(varName_xmlDoc + ".open( 'GET', path, true );");
    eval(varName_xmlDoc + ".send( null );");
}

//
// rcuprer le contenu d'un fichier xml
//
function getXmlDoc(fileName)
{
	var htmlFile = false;

	if (gecko)
	{
		htmlFile = new XMLHttpRequest();
	}
	else if (ie)
	{
		htmlFile = new ActiveXObject("Microsoft.XMLHTTP");
	}
	else 
		return false;
	
	var resultHTML;
	try
	{
		htmlFile.open('GET', fileName, false);
		htmlFile.send(null);
		resultHTML = htmlFile.responseText;
	}
	catch(e)
	{
		resultHTML = getErrorMessage(e);
	}
		
	return resultHTML;	
}

//
// Retourne la transformation d'un fichier XML par une feuille XSLT
//
function XmlTransform(xslFileName, xmlFileName, param1, value1, param2, value2, param3, value3, value4, param4, value5, param5)
{
    var resultHTML;
    
    try
    {        
        if (gecko)
	    {
		    var xsltProcessor = new XSLTProcessor();
		    var myXMLHTTPRequest = new XMLHttpRequest();
		    myXMLHTTPRequest = new XMLHttpRequest();
		    myXMLHTTPRequest.open("GET", xslFileName, false);
		    myXMLHTTPRequest.send(null);

		    var xslFile = myXMLHTTPRequest.responseXML;
		    xsltProcessor.importStylesheet(xslFile);		    
		    if (param1 != null && value1 != null)
                xsltProcessor.setParameter(null, param1, value1);
            if (param2 != null && value2 != null)
                xsltProcessor.setParameter(null, param2, value2);
            if (param3 != null && value3 != null)
                xsltProcessor.setParameter(null, param3, value3);
            if (param4 != null && value4 != null)
                xsltProcessor.setParameter(null, param4, value4);
            if (param5 != null && value5 != null)
                xsltProcessor.setParameter(null, param5, value5);
    		
		    myXMLHTTPRequest = new XMLHttpRequest();
		    myXMLHTTPRequest.open("GET", xmlFileName, false);
		    myXMLHTTPRequest.send(null);
		    xmlFile = myXMLHTTPRequest.responseXML;
    		
		    var fragment = xsltProcessor.transformToFragment(xmlFile, document);
		    var serializer = new XMLSerializer();
		    resultHTML = serializer.serializeToString(fragment);
	    }
	    else if (ie)
	    {
            var xslt = new ActiveXObject("Msxml2.XSLTemplate");
            var xslDoc = new ActiveXObject("Msxml2.FreeThreadedDOMDocument");
            var xslProc;
            xslDoc.async = false;
            xslDoc.resolveExternals = false;
            xslDoc.load(xslFileName);
            xslt.stylesheet = xslDoc;
            var xmlDoc = new ActiveXObject("Msxml2.DOMDocument");
            xmlDoc.async = false;
            xmlDoc.resolveExternals = false;
            xmlDoc.load(xmlFileName);
            xslProc = xslt.createProcessor();
            xslProc.input = xmlDoc;
            if (param1 != null && value1 != null)
                xslProc.addParameter(param1, value1);
            
            if (param2 != null && value2 != null)
                xslProc.addParameter(param2, value2);
            
            if (param3 != null && value3 != null)
                xslProc.addParameter(param3, value3);
                
            if (param4 != null && value4 != null)
                xslProc.addParameter(param4, value4);
            
            if (param5 != null && value5 != null)
                xslProc.addParameter(param5, value5);
                
            xslProc.transform();
            resultHTML = xslProc.output;
        }
    }
    catch(e)
	{
		resultHTML = getErrorMessage(e);
	}
    
    return resultHTML;
}

//
// Retourne la transformation d'un fichier XML par une feuille XSLT
//
function XmlTransform2(xml, xslFileName, param1, value1, param2, value2, param3, value3, param4, value4, param5, value5)
{
    var resultHTML;
    
    try
    {        
        if (gecko)
	    {
		    var xsltProcessor = new XSLTProcessor();
		    var myXMLHTTPRequest = new XMLHttpRequest();
		    myXMLHTTPRequest = new XMLHttpRequest();
		    myXMLHTTPRequest.open("GET", xslFileName, false);
		    myXMLHTTPRequest.send(null);

		    var xslFile = myXMLHTTPRequest.responseXML;
		    xsltProcessor.importStylesheet(xslFile);		    
		    if (param1 != null && value1 != null)
                xsltProcessor.setParameter(null, param1, value1);
            if (param2 != null && value2 != null)
                xsltProcessor.setParameter(null, param2, value2); 
            if (param3 != null && value3 != null)
                xsltProcessor.setParameter(null, param3, value3);
            if (param4 != null && value4 != null)
                xsltProcessor.setParameter(null, param4, value4);
            if (param5 != null && value5 != null)
                xsltProcessor.setParameter(null, param5, value5);
    		
//		    myXMLHTTPRequest = new XMLHttpRequest();
//		    myXMLHTTPRequest.open("GET", xmlFileName, false);
//		    myXMLHTTPRequest.send(null);
//		    xmlFile = myXMLHTTPRequest.responseXML;
//    		
		    var fragment = xsltProcessor.transformToFragment(xml, document);
		    var serializer = new XMLSerializer();
		    resultHTML = serializer.serializeToString(fragment);
	    }
	    else if (ie)
	    {
            var xslt = new ActiveXObject("Msxml2.XSLTemplate");
            var xslDoc = new ActiveXObject("Msxml2.FreeThreadedDOMDocument");
            var xslProc;
            xslDoc.async = false;
            xslDoc.resolveExternals = false;
            xslDoc.load(xslFileName);
            xslt.stylesheet = xslDoc;
            var xmlDoc = new ActiveXObject("Msxml2.DOMDocument");
            xmlDoc.async = false;
            xmlDoc.resolveExternals = false;
            xmlDoc.loadXML(xml);
            xslProc = xslt.createProcessor();
            xslProc.input = xmlDoc;
            if (param1 != null && value1 != null)
                xslProc.addParameter(param1, value1);
            
            if (param2 != null && value2 != null)
                xslProc.addParameter(param2, value2);
            
            if (param3 != null && value3 != null)
                xslProc.addParameter(param3, value3);
                
            if (param4 != null && value4 != null)
                xslProc.addParameter(param4, value4);
            
            if (param5 != null && value5 != null)
                xslProc.addParameter(param5, value5);
                
            xslProc.transform();
            resultHTML = xslProc.output;
        }
    }
    catch(e)
	{
		resultHTML = getErrorMessage(e);
	}
    
    return resultHTML;
}